### Method

# Gdk Device get_direction

#### Declaration [src]

    PangoDirection
    gdk_device_get_direction (
      GdkDevice* device
    )

#### Description [src]

Returns the direction of effective layout of the keyboard.

This is only relevant for keyboard devices.

The direction of a layout is the direction of the majority of its symbols. See pango_unichar_direction().

Gets property | `Gdk.Device:direction`

#### Return value

Returns: | `PangoDirection`
| `PANGO_DIRECTION_LTR` or `PANGO_DIRECTION_RTL` if it can determine the direction. `PANGO_DIRECTION_NEUTRAL` otherwise.